Jump to:

7939 Posts in 1472 Topics by 944 members

DataObjectManager Module

SilverStripe Forums » DataObjectManager Module » DataObjectManager 2.4beta Compatability

Discuss the DataObjectManager module, and the related ImageGallery module.

Moderators: martimiz, UncleCheese, Sean, biapar, Willr, Ingo, swaiba, simon_w

Page: 1
Go to End
Author Topic: 1581 Views
  • dizzystuff
    Avatar
    Community Member
    93 Posts

    DataObjectManager 2.4beta Compatability Link to this post

    Hi Uncle Cheese

    Now that 2.4 beta is released and we definitely don't have a jsparty folder, do you have any idea/guesstimate on when a dataobject_manager [et al] module update might be released that addresses this (and possibly any other 2.4 clashes) ?

    I've been dev'ing in 2.4 and just came across some issues.. leading me to here, only now realising that DOM is not yet 2.4 compatible. Of course I understand that working with a beta build comes hand in hand with compatability issues such as this... but even still, dang!

    Thanks for an excellent handful of such useful modules, definitely appreciate the hard work you've put in to them

  • UncleCheese
    Avatar
    4085 Posts

    Re: DataObjectManager 2.4beta Compatability Link to this post

    Yeah, one of the SS guys actually patched it for me, since he was doing a 2.4 alpha project for a client. It requires that I set up a new 2.4 branch of DOM and I've just been loath to getting around to doing that. I'll probably wait until 2.4 is stable.

  • dizzystuff
    Avatar
    Community Member
    93 Posts

    Re: DataObjectManager 2.4beta Compatability Link to this post

    Sorry UC, I forgot to subscribe to the topic <forehead-slap>

    Thanks for getting back to me. Totally understand. I'm definitely waiting on the edge of my seat for that 2.4 branch, but won't hold my breath till 2.4 stable is out the door.

    thanks again
    dizzy

  • Gene
    Avatar
    Community Member
    41 Posts

    Re: DataObjectManager 2.4beta Compatability Link to this post

    Hi UncleCheese,

    Would it be possible for you to post the patch in the meantime? I have to get started on a project that requires 2.4.

    Thanks

  • Allisone
    Avatar
    Community Member
    27 Posts

    Re: DataObjectManager 2.4beta Compatability Link to this post

    +1
    Please post patch

    2.4 needed for nested URLs
    DataObjectManager needed for managing data objects

    Thanks

  • UncleCheese
    Avatar
    4085 Posts

    Re: DataObjectManager 2.4beta Compatability Link to this post

    The 2.4 patch is in, pending testing from my gracious base of users. Anyone want to update and give it a try?

  • dizzystuff
    Avatar
    Community Member
    93 Posts

    Re: DataObjectManager 2.4beta Compatability Link to this post

    Hey UC, I haven't had a full chance to put it through its paces, but my brief update and test shows Sorting (ie drag/drop sorting) working great!

    w00t!

    I have a chance tonight to give DOM a more thorough test, will let you know if I hit any issues. Currently I'm testing on the latest in /branches/2.4 as of Sunday night just gone.

    Thanks for getting this patch into the repo!! Mucho appreciated

    Cheers

  • Gene
    Avatar
    Community Member
    41 Posts

    Re: DataObjectManager 2.4beta Compatability Link to this post

    Awesome! Thanks so much UncleCheese. I'll be testing it thoroughly over the next couple weeks.

    1581 Views
Page: 1
Go to Top

Want to know more about the company that brought you SilverStripe? Then check out SilverStripe.com

Comments on this website? Please give feedback.